unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellApi;

type
  TAboutBox = class(TForm)
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Autor: TLabel;
    Copyright: TLabel;
    Bevel: TBevel;
    Comments: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.FormCreate(Sender: TObject);
var
   Icon: TIcon;
begin
     Icon := TIcon.Create;
     Icon.Handle := ExtractIcon(HInstance, PChar(Application.ExeName), 0);
     ProgramIcon.Picture.Assign(Icon);
     Icon.Free;
end;

end.

