unit Sort;

interface

uses
   Windows, ComCtrls;

function ReverseSortItems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;
function SortSubitems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;
function ReverseSortSubitems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;

implementation

function ReverseSortItems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;
begin
     Result := -lstrcmp(PChar(TListItem(Item1).Caption),
                        PChar(TListItem(Item2).Caption));
end;

function SortSubitems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;
begin
     Result := lstrcmp(PChar(TListItem(Item1).Subitems.Strings[ParamSort]),
                        PChar(TListItem(Item2).Subitems.Strings[ParamSort]));
end;

function ReverseSortSubitems(Item1, Item2: TListItem; ParamSort: integer): integer; stdcall;
begin
     Result := -lstrcmp(PChar(TListItem(Item1).Subitems.Strings[ParamSort]),
                       PChar(TListItem(Item2).Subitems.Strings[ParamSort]));
end;

end.
